Run of scrub-obsolete for fcgiwrap

Try this locally (using the lintian-brush package):

debcheckout fcgiwrap
cd fcgiwrap
deb-scrub-obsolete

Merge these changes:

git pull https://janitor.debian.net/git/fcgiwrap scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index ff35bee..5eabb08 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+fcgiwrap (1.1.0-13) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on autoconf.
+    + fcgiwrap: Drop versioned constraint on spawn-fcgi in Depends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Tue, 24 Nov 2020 00:17:34 -0000
+
 fcgiwrap (1.1.0-12) unstable; urgency=medium
 
   * Add fcgiwrap to test dependencies
diff --git a/debian/control b/debian/control
index 1ef88d7..03fcbb5 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Section: web
 Priority: optional
 Maintainer: Debian fcgiwrap Maintainers <team+fcgiwrap@tracker.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>, Peter Colberg <peter@colberg.org>
-Build-Depends: autoconf (>= 2.61),
+Build-Depends: autoconf,
                debhelper (>= 11~),
                libfcgi-dev,
                libsystemd-dev [linux-any],
@@ -16,7 +16,7 @@ Homepage: https://github.com/gnosek/fcgiwrap
 Package: fcgiwrap
 Architecture: any
 Depends: lsb-base (>= 3.0-6),
-         spawn-fcgi (>= 1.6.1) | systemd,
+         spawn-fcgi | systemd,
          ${misc:Depends},
          ${shlibs:Depends}
 Enhances: nginx

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/lib/debug/.build-id/cb/e110e51eb7604fdbc0c1591b0a14e1698be2f0.debug

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/lib/debug/.build-id/ce/7331f8b0974ce8b883ef9e3a9bae799018dff2.debug

Control files of package fcgiwrap: lines which differ (wdiff format)

  • Depends: lsb-base (>= 3.0-6), spawn-fcgi (>= 1.6.1) | systemd, libc6 (>= 2.15), libfcgi0ldbl, libsystemd0

Control files of package fcgiwrap-dbgsym: lines which differ (wdiff format)

  • Build-Ids: ce7331f8b0974ce8b883ef9e3a9bae799018dff2 cbe110e51eb7604fdbc0c1591b0a14e1698be2f0

Full worker log Full build log